# $Revision: 1.6 $, $Date: 2010/07/28 15:24:26 $
#
# Conditional build:
%bcond_without	tests		# build without tests

%define		plugin	check_tftp
Summary:	Nagios plugin to check TFTP server
Name:		nagios-plugin-%{plugin}
Version:	1.2
Release:	1
License:	GPL v2
Group:		Networking
Source0:	http://oss.isg.inf.ethz.ch/nagiosplug/download/TFTP-%{version}.tgz
# Source0-md5:	f234cf2bcf759d6e6a7128670fb03ec3
Source1:	%{plugin}.cfg
URL:		http://oss.isg.inf.ethz.ch/nagiosplug/
%{?with_tests:BuildRequires:	python}
BuildRequires:	rpm-pythonprov
Requires:	nagios-common
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(utils)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check if a file can be fetched from TFTP server.

%prep
%setup -q -n TFTP-%{version}

# fix shebang
%{__sed} -i -e '1s,^#!.*python,#!%{__python},' %{plugin}.py

%build
%if %{with tests}
%{__python} %{plugin}.py --version
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin}.py $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_tftp.spec,v $
Revision 1.6  2010/07/28 15:24:26  glen
- up to 1.2

Revision 1.5  2010/07/28 06:14:01  glen
- R python-modules for time module

Revision 1.4  2010/07/28 06:07:54  glen
- python deps

Revision 1.3  2010/07/28 06:05:10  glen
- add --with tests

Revision 1.2  2010/07/27 20:18:55  glen
- release 2

Revision 1.1  2010/07/27 20:18:26  glen
- new
